Index: kernel/ffields.cc
===================================================================
--- kernel/ffields.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/ffields.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -699,5 +699,5 @@
 * set map function nMap ... -> GF(p,n)
 */
-nMapFunc nfSetMap(ring src, ring dst)
+nMapFunc nfSetMap(const ring src, const ring dst)
 {
   if (rField_is_GF(src,nfCharQ))
Index: kernel/ffields.h
===================================================================
--- kernel/ffields.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/ffields.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -35,5 +35,5 @@
 void    nfSetChar     (int c, char ** param);
 
-nMapFunc nfSetMap     (ring src, ring dst);
+nMapFunc nfSetMap     (const ring src, const ring dst);
 char *  nfName        (number n);
 extern  int nfMinPoly[];
Index: kernel/gnumpc.cc
===================================================================
--- kernel/gnumpc.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/gnumpc.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -71,5 +71,5 @@
 }
 
-nMapFunc ngcSetMap(ring src,ring dst)
+nMapFunc ngcSetMap(const ring src,const ring dst)
 {
   if(rField_is_Q(src))
Index: kernel/gnumpc.h
===================================================================
--- kernel/gnumpc.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/gnumpc.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -39,5 +39,5 @@
 void     ngcDelete(number *a, const ring r);
 
-nMapFunc  ngcSetMap(ring src, ring dst);
+nMapFunc  ngcSetMap(const ring src, const ring dst);
 
 number ngcMapQ(number from);
Index: kernel/gnumpfl.cc
===================================================================
--- kernel/gnumpfl.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/gnumpfl.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -70,5 +70,5 @@
 }
 
-nMapFunc ngfSetMap(ring src, ring dst)
+nMapFunc ngfSetMap(const ring src, const ring dst)
 {
   if (rField_is_Q(src))
Index: kernel/gnumpfl.h
===================================================================
--- kernel/gnumpfl.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/gnumpfl.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -35,5 +35,5 @@
 void     ngfDelete(number *a, const ring r);
 
-nMapFunc  ngfSetMap(ring src, ring dst);
+nMapFunc  ngfSetMap(const ring src, const ring dst);
 
 void setGMPFloatDigits( size_t digits, size_t rest );
Index: kernel/longalg.cc
===================================================================
--- kernel/longalg.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/longalg.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -2307,5 +2307,5 @@
 }
 
-nMapFunc naSetMap(ring src, ring dst)
+nMapFunc naSetMap(const ring src, const ring dst)
 {
   naMapRing=src;
Index: kernel/longalg.h
===================================================================
--- kernel/longalg.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/longalg.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -56,5 +56,5 @@
 void    naWrite(number &p);
 char *  naName(number n);
-nMapFunc naSetMap(ring src, ring dst);
+nMapFunc naSetMap(const ring src, const ring dst);
 number naMap0P(number c);
 number naMap00(number c);
Index: kernel/longrat.cc
===================================================================
--- kernel/longrat.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/longrat.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -168,5 +168,5 @@
 #endif
 
-nMapFunc nlSetMap(ring src, ring dst)
+nMapFunc nlSetMap(const ring src, const ring dst)
 {
   if (rField_is_Q(src))
Index: kernel/longrat.h
===================================================================
--- kernel/longrat.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/longrat.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -90,5 +90,5 @@
 extern number nlOne;
 
-nMapFunc nlSetMap(ring src, ring dst);
+nMapFunc nlSetMap(const ring src, const ring dst);
 #ifdef HAVE_RINGS
 number nlMapGMP(number from);
Index: kernel/modulop.cc
===================================================================
--- kernel/modulop.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/modulop.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -519,5 +519,5 @@
 #endif
 
-nMapFunc npSetMap(ring src, ring dst)
+nMapFunc npSetMap(const ring src, const ring dst)
 {
 #ifdef HAVE_RINGS
Index: kernel/modulop.h
===================================================================
--- kernel/modulop.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/modulop.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -54,5 +54,5 @@
 //int     npGetChar();
 
-nMapFunc npSetMap(ring src, ring dst);
+nMapFunc npSetMap(const ring src, const ring dst);
 number  npMapP(number from);
 number  npMap0(number from);
Index: kernel/rintegers.cc
===================================================================
--- kernel/rintegers.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/rintegers.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -272,5 +272,5 @@
 }
 
-nMapFunc nrzSetMap(ring src, ring dst)
+nMapFunc nrzSetMap(const ring src, const ring dst)
 {
   /* dst = currRing */
Index: kernel/rintegers.h
===================================================================
--- kernel/rintegers.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/rintegers.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -42,5 +42,5 @@
 number  nrzGcd         (number a,number b,ring r);
 number  nrzExtGcd      (number a, number b, number *s, number *t);
-nMapFunc nrzSetMap     (ring src, ring dst);
+nMapFunc nrzSetMap     (const ring src, const ring dst);
 void    nrzWrite       (number &a);
 const char *  nrzRead  (const char *s, number *a);
Index: kernel/rmodulo2m.cc
===================================================================
--- kernel/rmodulo2m.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/rmodulo2m.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -457,5 +457,5 @@
 }
 
-nMapFunc nr2mSetMap(ring src, ring dst)
+nMapFunc nr2mSetMap(const ring src, const ring dst)
 {
   if (rField_is_Ring_2toM(src)
Index: kernel/rmodulo2m.h
===================================================================
--- kernel/rmodulo2m.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/rmodulo2m.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -38,5 +38,5 @@
 number  nr2mGcd         (number a,number b,ring r);
 number  nr2mExtGcd      (number a, number b, number *s, number *t);
-nMapFunc nr2mSetMap     (ring src, ring dst);
+nMapFunc nr2mSetMap     (const ring src, const ring dst);
 void    nr2mWrite       (number &a);
 const char *  nr2mRead  (const char *s, number *a);
Index: kernel/rmodulon.cc
===================================================================
--- kernel/rmodulon.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/rmodulon.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -407,5 +407,5 @@
 }
 
-nMapFunc nrnSetMap(ring src, ring dst)
+nMapFunc nrnSetMap(const ring src, const ring dst)
 {
   /* dst = currRing */
Index: kernel/rmodulon.h
===================================================================
--- kernel/rmodulon.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/rmodulon.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -43,5 +43,5 @@
 number  nrnGcd         (number a,number b,ring r);
 number  nrnExtGcd      (number a, number b, number *s, number *t);
-nMapFunc nrnSetMap     (ring src, ring dst);
+nMapFunc nrnSetMap     (const ring src, const ring dst);
 void    nrnWrite       (number &a);
 const char *  nrnRead  (const char *s, number *a);
Index: kernel/shortfl.cc
===================================================================
--- kernel/shortfl.cc	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/shortfl.cc	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -432,5 +432,5 @@
 }
 
-nMapFunc nrSetMap(ring src, ring dst)
+nMapFunc nrSetMap(const ring src, const ring dst)
 {
   if (rField_is_Q(src))
Index: kernel/shortfl.h
===================================================================
--- kernel/shortfl.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/shortfl.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -32,5 +32,5 @@
 #endif
 
-nMapFunc nrSetMap(ring src, ring dst);
+nMapFunc nrSetMap(const ring src, const ring dst);
 
 float   nrFloat(number n);
Index: kernel/structs.h
===================================================================
--- kernel/structs.h	(revision 04deab0015b2f7de28b6216e26361e1861297269)
+++ kernel/structs.h	(revision 208e0c58de5059b78464045b5eb87c2009cbdb1d)
@@ -309,5 +309,5 @@
    number  (*nLcm)(number a, number b, const ring r);
    void    (*cfDelete)(number * a, const ring r);
-   nMapFunc (*cfSetMap)(ring src, ring dst);
+   nMapFunc (*cfSetMap)(const ring src, const ring dst);
    char *  (*nName)(number n);
    void    (*nInpMult)(number &a, number b, ring r);