Index: Singular/attrib.cc
===================================================================
--- Singular/attrib.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/attrib.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -16,4 +16,5 @@
 #include "mod2.h"
 #include "omalloc.h"
+#include "options.h"
 #include "tok.h"
 #include "ipid.h"
Index: Singular/extra.cc
===================================================================
--- Singular/extra.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/extra.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -35,4 +35,5 @@
 
 #include "tok.h"
+#include "options.h"
 #include "ipid.h"
 #include "polys.h"
Index: Singular/feOpt.cc
===================================================================
--- Singular/feOpt.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/feOpt.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -10,4 +10,5 @@
 #include <stdlib.h>
 #include "mod2.h"
+#include "options.h"
 #include "feOpt.h"
 
Index: Singular/fglm.cc
===================================================================
--- Singular/fglm.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/fglm.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -21,5 +21,5 @@
 #ifdef HAVE_FGLM
 #include "tok.h"
-#include "structs.h"
+#include "options.h"
 #include "polys.h"
 #include "ideals.h"
Index: Singular/grammar.cc
===================================================================
--- Singular/grammar.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/grammar.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -336,4 +336,5 @@
 #include "omalloc.h"
 #include "tok.h"
+#include "options.h"
 #include "stype.h"
 #include "ipid.h"
Index: Singular/grammar.y
===================================================================
--- Singular/grammar.y	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/grammar.y	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -18,4 +18,5 @@
 #include "omalloc.h"
 #include "tok.h"
+#include "options.h"
 #include "stype.h"
 #include "ipid.h"
Index: Singular/interpolation.cc
===================================================================
--- Singular/interpolation.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/interpolation.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -5,5 +5,5 @@
 
 #include "mod2.h"
-#include "structs.h"
+#include "options.h"
 #include "febase.h"
 #include "ideals.h"
Index: Singular/iparith.cc
===================================================================
--- Singular/iparith.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/iparith.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -17,4 +17,5 @@
 #include "mod2.h"
 #include "tok.h"
+#include "options.h"
 #include "ipid.h"
 #include "intvec.h"
Index: Singular/ipassign.cc
===================================================================
--- Singular/ipassign.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/ipassign.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -15,4 +15,5 @@
 #include "mod2.h"
 #include "tok.h"
+#include "options.h"
 #include "ipid.h"
 #include "intvec.h"
Index: Singular/ipid.cc
===================================================================
--- Singular/ipid.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/ipid.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -14,4 +14,5 @@
 #include "omalloc.h"
 #include "tok.h"
+#include "options.h"
 #include "ipshell.h"
 #include "intvec.h"
Index: Singular/iplib.cc
===================================================================
--- Singular/iplib.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/iplib.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -16,4 +16,5 @@
 #include "static.h"
 #include "tok.h"
+#include "options.h"
 #include "ipid.h"
 #include "omalloc.h"
Index: Singular/ipshell.cc
===================================================================
--- Singular/ipshell.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/ipshell.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -15,4 +15,5 @@
 #include "mod2.h"
 #include "tok.h"
+#include "options.h"
 #include "ipid.h"
 #include "intvec.h"
Index: Singular/libparse.cc
===================================================================
--- Singular/libparse.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/libparse.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -1069,4 +1069,5 @@
   #include "ipid.h"
   #include "tok.h"
+  #include "options.h"
   #include "febase.h"
   #include "omalloc.h"
Index: Singular/libparse.l
===================================================================
--- Singular/libparse.l	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/libparse.l	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -20,4 +20,5 @@
   #include "ipid.h"
   #include "tok.h"
+  #include "options.h"
   #include "febase.h"
   #include "omalloc.h"
Index: Singular/misc.cc
===================================================================
--- Singular/misc.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/misc.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -18,4 +18,5 @@
 #include "structs.h"
 #include "tok.h"
+#include "options.h"
 #include "febase.h"
 #include "cntrlc.h"
@@ -366,4 +367,6 @@
         #ifdef YYDEBUG
         #if YYDEBUG
+        /*debugging the bison grammar --> grammar.cc*/
+        extern int    yydebug;
         if (BVERBOSE(V_YACC)) yydebug=1;
         else                  yydebug=0;
Index: Singular/sdb.cc
===================================================================
--- Singular/sdb.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/sdb.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -11,4 +11,5 @@
 #include "mod2.h"
 #include "tok.h"
+#include "options.h"
 #include "omalloc.h"
 #include "febase.h"
Index: Singular/silink.cc
===================================================================
--- Singular/silink.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/silink.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -16,4 +16,5 @@
 #include "mod2.h"
 #include "tok.h"
+#include "options.h"
 #include <omalloc.h>
 #include "febase.h"
Index: Singular/subexpr.cc
===================================================================
--- Singular/subexpr.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/subexpr.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -16,4 +16,5 @@
 #include "intvec.h"
 #include "tok.h"
+#include "options.h"
 #include "ipid.h"
 #include "intvec.h"
Index: Singular/tesths.cc
===================================================================
--- Singular/tesths.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/tesths.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -17,4 +17,5 @@
 #include "mod2.h"
 #include "tok.h"
+#include "options.h"
 #include "ipshell.h"
 #include "febase.h"
Index: Singular/tok.h
===================================================================
--- Singular/tok.h	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/tok.h	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -161,86 +161,3 @@
 #define UNKNOWN 0
 
-/*
-**  Set operations (small sets only)
-*/
-
-#define Sy_bit(x)     ((unsigned)1<<(x))
-#define Sy_inset(x,s) ((Sy_bit(x)&(s))?TRUE:FALSE)
-#define BTEST1(a)     Sy_inset((a), test)
-#define BVERBOSE(a)   Sy_inset((a), verbose)
-
-/*
-** defines for BITSETs
-*/
-
-#define V_SHOW_MEM  2
-#define V_YACC      3
-#define V_REDEFINE  4
-#define V_READING   5
-#define V_LOAD_LIB  6
-#define V_DEBUG_LIB 7
-#define V_LOAD_PROC 8
-#define V_DEF_RES   9
-#define V_DEBUG_MEM 10
-#define V_SHOW_USE  11
-#define V_IMAP      12
-#define V_PROMPT    13
-#define V_NSB       14
-#define V_CONTENTSB 15
-#define V_CANCELUNIT 16
-#define V_DEG_STOP  31
-
-
-#define OPT_PROT           0
-#define OPT_REDSB          1
-#define OPT_NOT_BUCKETS    2
-#define OPT_NOT_SUGAR      3
-#define OPT_INTERRUPT      4
-#define OPT_SUGARCRIT      5
-#define OPT_DEBUG          6
-#define OPT_REDTHROUGH     7
-#define OPT_RETURN_SB      9
-#define OPT_FASTHC        10
-#define OPT_OLDSTD        20
-#define OPT_KEEPVARS      21
-#define OPT_STAIRCASEBOUND 22
-#define OPT_MULTBOUND     23
-#define OPT_DEGBOUND      24
-#define OPT_REDTAIL       25
-#define OPT_INTSTRATEGY   26
-#define OPT_INFREDTAIL    28
-#define OPT_SB_1          29
-#define OPT_NOTREGULARITY 30
-#define OPT_WEIGHTM       31
-
-/* define ring dependent options */ 
-#define TEST_RINGDEP_OPTS \
- (Sy_bit(OPT_INTSTRATEGY) | Sy_bit(OPT_REDTHROUGH) | Sy_bit(OPT_REDTAIL))
-
-#define TEST_OPT_PROT              BTEST1(OPT_PROT)
-#define TEST_OPT_REDSB             BTEST1(OPT_REDSB)
-#define TEST_OPT_NOT_BUCKETS       BTEST1(OPT_NOT_BUCKETS)
-#define TEST_OPT_NOT_SUGAR         BTEST1(OPT_NOT_SUGAR)
-#define TEST_OPT_SUGARCRIT         BTEST1(OPT_SUGARCRIT)
-#define TEST_OPT_DEBUG             BTEST1(OPT_DEBUG)
-#define TEST_OPT_FASTHC            BTEST1(OPT_FASTHC)
-#define TEST_OPT_INTSTRATEGY       BTEST1(OPT_INTSTRATEGY)
-#define TEST_OPT_RETURN_SB         BTEST1(OPT_RETURN_SB)
-#define TEST_OPT_KEEPVARS          BTEST1(OPT_KEEPVARS)
-#define TEST_OPT_DEGBOUND          BTEST1(OPT_DEGBOUND)
-#define TEST_OPT_MULTBOUND         BTEST1(OPT_MULTBOUND)
-#define TEST_OPT_STAIRCASEBOUND    BTEST1(OPT_STAIRCASEBOUND)
-#define TEST_OPT_REDTAIL           BTEST1(OPT_REDTAIL)
-#define TEST_OPT_INFREDTAIL        BTEST1(OPT_INFREDTAIL)
-#define TEST_OPT_SB_1              BTEST1(OPT_SB_1)
-#define TEST_OPT_NOTREGULARITY     BTEST1(OPT_NOTREGULARITY)
-#define TEST_OPT_WEIGHTM           BTEST1(OPT_WEIGHTM)
-#define TEST_OPT_REDTHROUGH        BTEST1(OPT_REDTHROUGH)
-#define TEST_OPT_OLDSTD            BTEST1(OPT_OLDSTD)
-#define TEST_OPT_CONTENTSB         BVERBOSE(V_CONTENTSB)
-#define TEST_OPT_CANCELUNIT        BVERBOSE(V_CANCELUNIT)
-
-#define TEST_VERB_NSB              BVERBOSE(V_NSB)
-#define TEST_V_DEG_STOP            BVERBOSE(V_DEG_STOP)
-
 #endif
Index: Singular/walk.cc
===================================================================
--- Singular/walk.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/walk.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -50,6 +50,5 @@
 #include "intvec.h"
 #include "cntrlc.h"
-#include "math.h"
-#include "structs.h"
+#include "options.h"
 #include "omalloc.h"
 #include "febase.h"
Index: Singular/walk_ip.cc
===================================================================
--- Singular/walk_ip.cc	(revision 690e21e881c763e9c23a2f83759a44488fbf2ea0)
+++ Singular/walk_ip.cc	(revision 210bd9653b629172ad9e359805bf1651153f6120)
@@ -15,4 +15,5 @@
 #include "mod2.h"
 #include "tok.h"
+#include "options.h"
 #include "ipid.h"
 #include "intvec.h"