Index: Singular/LIB/elim.lib
===================================================================
--- Singular/LIB/elim.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/elim.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,8 +1,7 @@
-// $Id: elim.lib,v 1.7 1999-08-03 11:43:06 obachman Exp $
-// system("random",787422842);
+// $Id: elim.lib,v 1.8 1999-09-21 17:32:15 Singular Exp $
 // (GMG, last modified 22.06.96)
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: elim.lib,v 1.7 1999-08-03 11:43:06 obachman Exp $";
+version="$Id: elim.lib,v 1.8 1999-09-21 17:32:15 Singular Exp $";
 info="
 LIBRARY:  elim.lib      PROCEDURES FOR ELIMINATIOM, SATURATION AND BLOWING UP
Index: Singular/LIB/general.lib
===================================================================
--- Singular/LIB/general.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/general.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,8 +1,7 @@
-// $Id: general.lib,v 1.18 1999-08-23 14:54:03 Singular Exp $
-//system("random",787422842);
+// $Id: general.lib,v 1.19 1999-09-21 17:32:15 Singular Exp $
 //GMG, last modified 18.6.99
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: general.lib,v 1.18 1999-08-23 14:54:03 Singular Exp $";
+version="$Id: general.lib,v 1.19 1999-09-21 17:32:15 Singular Exp $";
 info="
 LIBRARY:  general.lib   PROCEDURES OF GENERAL TYPE
Index: Singular/LIB/inout.lib
===================================================================
--- Singular/LIB/inout.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/inout.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,8 +1,7 @@
-// $Id: inout.lib,v 1.12 1999-08-13 16:01:17 Singular Exp $
-// system("random",787422842);
+// $Id: inout.lib,v 1.13 1999-09-21 17:32:16 Singular Exp $
 // (GMG/BM, last modified 22.06.96)
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: inout.lib,v 1.12 1999-08-13 16:01:17 Singular Exp $";
+version="$Id: inout.lib,v 1.13 1999-09-21 17:32:16 Singular Exp $";
 info="
 LIBRARY:  inout.lib     PROCEDURES FOR MANIPULATING IN- AND OUTPUT
Index: Singular/LIB/latex.lib
===================================================================
--- Singular/LIB/latex.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/latex.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,3 +1,3 @@
-// $Id: latex.lib,v 1.9 1999-07-07 14:39:10 obachman Exp $
+// $Id: latex.lib,v 1.10 1999-09-21 17:32:16 Singular Exp $
 //                        1998/04/17
 // author : Christian Gorzel email: gorzelc@math.uni-muenster.de
@@ -5,5 +5,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: latex.lib,v 1.9 1999-07-07 14:39:10 obachman Exp $";
+version="$Id: latex.lib,v 1.10 1999-09-21 17:32:16 Singular Exp $";
 info="
 LIBRARY: latex.lib    PROCEDURES FOR TYPESET OF SINGULAROBJECTS IN LATEX2E
@@ -242,5 +242,5 @@
   { if (typeof(#[1])=="int") {TeXdemostart = #[1];}
   }
-  system("random",TeXdemostart);
+  system("--random",TeXdemostart);
 
   if (size(#) ==2)
Index: Singular/LIB/poly.lib
===================================================================
--- Singular/LIB/poly.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/poly.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,9 +1,8 @@
-// $Id: poly.lib,v 1.17 1999-08-31 12:39:00 Singular Exp $
-//system("random",787422842);
+// $Id: poly.lib,v 1.18 1999-09-21 17:32:17 Singular Exp $
 //(GMG, last modified 22.06.96)
 //(obachman: 17.12.97 -- added katsura)
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: poly.lib,v 1.17 1999-08-31 12:39:00 Singular Exp $";
+version="$Id: poly.lib,v 1.18 1999-09-21 17:32:17 Singular Exp $";
 info="
 LIBRARY:  poly.lib      PROCEDURES FOR MANIPULATING POLYS, IDEALS, MODULES
Index: Singular/LIB/presolve.lib
===================================================================
--- Singular/LIB/presolve.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/presolve.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,8 +1,7 @@
-// $Id: presolve.lib,v 1.11 1999-08-03 16:33:45 obachman Exp $
-//system("random",787422842);
+// $Id: presolve.lib,v 1.12 1999-09-21 17:32:17 Singular Exp $
 //(GMG)
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: presolve.lib,v 1.11 1999-08-03 16:33:45 obachman Exp $";
+version="$Id: presolve.lib,v 1.12 1999-09-21 17:32:17 Singular Exp $";
 info="
 LIBRARY:  presolve.lib     PROCEDURES FOR PRE-SOLVING POLYNOMIAL EQUATIONS
Index: Singular/LIB/random.lib
===================================================================
--- Singular/LIB/random.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/random.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,8 +1,7 @@
-// $Id: random.lib,v 1.9 1999-07-28 17:51:08 Singular Exp $
-//system("random",787422842);
+// $Id: random.lib,v 1.10 1999-09-21 17:32:18 Singular Exp $
 //(GMG/BM, last modified 22.06.96)
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: random.lib,v 1.9 1999-07-28 17:51:08 Singular Exp $";
+version="$Id: random.lib,v 1.10 1999-09-21 17:32:18 Singular Exp $";
 info="
 LIBRARY:  random.lib    PROCEDURES OF RANDOM MATRIX AND POLY OPERATIONS
Index: Singular/LIB/sing.lib
===================================================================
--- Singular/LIB/sing.lib	(revision b6f537af08df5d7377d6b2df825e324c290ecfba)
+++ Singular/LIB/sing.lib	(revision 212d09b90045920b3214c1edb67fdc3d3cdd28c1)
@@ -1,9 +1,7 @@
-
-// $Id: sing.lib,v 1.16 1999-08-03 11:43:10 obachman Exp $
-//system("random",787422842);
+// $Id: sing.lib,v 1.17 1999-09-21 17:32:18 Singular Exp $
 //(GMG/BM, last modified 26.06.96)
 ///////////////////////////////////////////////////////////////////////////////
 
-version="$Id: sing.lib,v 1.16 1999-08-03 11:43:10 obachman Exp $";
+version="$Id: sing.lib,v 1.17 1999-09-21 17:32:18 Singular Exp $";
 info="
 LIBRARY:  sing.lib      PROCEDURES FOR SINGULARITIES