Index: Tst/Short/absfact.res.gz.uu
===================================================================
--- Tst/Short/absfact.res.gz.uu	(revision a088613ebfc450dbca5064ff67a3dc8c546ad428)
+++ Tst/Short/absfact.res.gz.uu	(revision 300f40eb0664d85517ba38324ca87907755992e9)
@@ -1,49 +1,57 @@
-begin 644 absbifact.res.gz
-M'XL("(>W=U$``V%B<V)I9F%C="YR97,`[5MM;YM($/[N7[&J3BH82-A7()%]
-M4G4ZJ=+I/C3Y=DH:DN`&U;%]AK3X?OW-@KV[Q(N)>VT_7&@E!V9GAUWFF6=?
-MF+VX_.W]GP@A/$5_O'^'WI1%>3+/;]^<CRZV)62*0/@Q7^2EXYZ/Y%\TG:+T
-MMKC-9^E=>;+(OIX495JJ&G2*U#4[:>R">JW<MLT-37&"UOGB$_J`)L@)71\Y
-ME;^!/_.5UH^FJ'A8KLL)"K4PGJ+5<KY!*UDQB,;5-4$>(N-JO*FOQ+B"W\TU
-M@U_,MD(6N6.'5\3;$/>:CITJV+C73!M-IN@^FZ$+L`E-_QV:OESG_V3.RD7G
-MH]'I*7IKBM^BNW66EMD]2NM.^"A?H*\/^=T#".9Y44HCR_E3F7V<U74*Y)0/
-MF;2S*T#;`A?E!2K@*KL_D>672Y3>W65%@:!"8VLYVZOEHW*SRI"3SVJU1?J8
-M0=N_I@5*BR+_M,CNI:UR69>NL_)IO4!?TOE3YIZ-T/9?D96R[<Z%>[[7W'/E
-M)QQ.34TEQA;78#+=MS3Z"U_5#_T(%Q-\2C`FO+DG5Q,G`!>E'D[<<>5A*KWE
-M2:>F7L+<1HM>33@4.JD[WC02=C4!_XV@?FT8^]BG/AN!IGX0J.N'@+UK$HAQ
-M&@`.E%4'A!YWE4U9!?XV-HGJ%%4O`'W0764-8"YKO+S+%3000$8CQBAX39CA
-M^I5=ZE<F;)")7@`9+*(H(E@HAP:5MS'<&#3H$08^G(!(6'%9T&`*[@!1&C,,
-M,(,/8"9M`R7`L31(!38!(^42OQ)6%NC$FN]P<H(^Y_.Y@2$"H=5'@<069X28
-M%+AE-5U*#W$9N'@\!O>"!E`[//P"[E\UPQ%F93C";6]>],*5FQ`:/^.I0WAK
-MR&B'(@4B$MGXA\0'^6?/RY>FEU\G*Y'$QDHTM+B9XGY6,H:PM&:9_^AG2C19
-M4+I'%I3UDP6U09:*0V1!&_XU2,*/(LD3*;32#ZK4V_BI4HZG^VB3^N<C1^J[
-M_NY=&'42W2T6[G6+X?YN,6+I%J/M;K$`NF;VC+&!!H\)#\:M-,ALHS;K'[4#
-MS8.2`W=#J1JXY1RN-8/#/GGI:&R?LC'5NMC&F"P9&/-(2/#0QIC<-B7A_5-_
-M`Q&M^=O/@`0WUJB<;5>>ZTGH`]N4KG^OR8;S':],JFOF.>4U#4@)\SQ2`K/!
-M#4BXE+"@D098RA6-<UC7JG]2600,:GA0P1-@S)/&)$?J(FG,8[),%NF61%T$
-MYK\IWM@@^^HYC,=6#N-)/SCU>%Z1DGM5*8**EC2`504(6(!#PL95R8-2>'!!
-M2P(ZS*O%(*V81Z0T`&7B$5FKJ0Q5B;0@*Y6P!@5M"DI!20[,%PH#YH6QLMAU
-M2!B!N5;=%+B#X0`QJ`,R`\LA06PL)^C_#3-,4Z#@VXF8`1XQ-5FQQ8DB4IRH
-M&5_$G?.K@9HL*$NLU!2%O3`+M=/W1\.=FT-E$-NH(2*=U#"P@M5?$;6Q0L2^
-MM[N,+?%([$5E%'5'9:0VPB?1*<9:WKV7/03FOJ-C^P9WW+\%(-_Z4<Z.B2TV
-M8SK$YI$N8[;8C/D/\)C0X1E'>^$9QRH\G=!/_5O7;[8OC#"-$\O@F81#C![A
-M\`1;8S3I7W1VL_&=Q=T)M05HTO6M9PC0+G]9/P`E_9OG1[HKTM&9Q'O1F22]
-MT8G#4$6GDWK8/;W517B(T9?['!8UMAC%8?\ZJGGQSJU[C/-QR"RQBD,^Q.J1
-M?A.66,5A_P[O-[I-?Q/%8?(\9C$.^V-6YAZT8W9<Z4(R[)H=B0`CP\&,7-R_
-MUM$04!LAW[Y#@<VT`0,1HGM7:]C4ZO1I9(MJ'/]LE^JO?YB$>]%.<'^TZV0'
-M'>TRLTLK=.8[#!'?@0Y[R@,F_2LHW()&[1#Y+<,<!(X&"1&VN"?1M\4]6/X5
-M+98ERA]7\^PQ6X!'&V&V7B_7:'EW][2&2M*[<'N;S<!-\A&RPS)?\>SLV??!
-M>;[(4"3P&;I!C?/*Q]5LHK3J#X@WS3/F6?I%-N6`/:E8?,Y7*ZE79E6)9NOE
-M([HYO]FV,(4'+#]G"W3CWJBW$;?BN7[6I4398MD`1>*IANWIW_*WO\>-X;IO
-M8!WZILWKIUH_G-2F;Y[+;V1KGA:U,U[RQEO/3\[V#>IFR!P-=8WW6$1F3O2Q
-M"*56%MEHA<YT@8%%.EB$6C,&,.U?YG6RR/A0%DT?C]#(QB.T*U/J5?((37XD
-MC]#$SB/,^I7C^_,("P_RB$PV4M=DEW^.FS2`-E^H]*+9Q#&RQFE]Q>&*><R]
-M)EI_1Q\835KT,7-?=?XX;J458<T2[`4LH:>@,G]7IWN8MZR^U;GA'.ZEEPP>
-M(?"?^OQ0*@D)2.H1,Z&$>(:$-9)=ZB]_EBN>J$Z9N9IZALHZ*6@V+%_LJ+'E
-M:F+>_[$4G^($XY`DD<X6;_"@71O46>&$F<<)#$1Q=:LAQ`%`Y.792"3`8>J)
-ML)4KWL(8-S&V#R1N,!573$5A;A*J#$F#K;AB*ZE2D0WS-L(C%=W`(ZH-"R+@
-MJTCF1WJ80:&`5R(JN&,@A)^-)C*^([(6C2%G1H<YD`6HW-BSN-`O\253("P2
-MD^`TA0&$Y$D8>6@!L]W9&">(FC,QK02Y@YRF^$IB,@+\B>;\R_/L.,Q-VJ*Z
-M%XJVGDUD.L`P\!;F5MX2+^$MJ@FK=CW9'5_9'5U1K@RV!UY$>[;<@X8:2^WC
-D3X"0&&QC&R:$P4`"&$B>"92G_IX*!T;Q7T;_`@A8:>5).```
+begin 644 absfact.res.gz
+M'XL("!;3#%(``V%B<V9A8W0N<F5S`.U<76_;.!9]SZ\@B@%&LJ2$O/P2-[`?
+M9A<[&&"Q#TW>%DTA)_;4V&P2Q.I&RJ_?2\L6Z8BR[,ZT#QNU:"+Q2R+/N8>7
+MU&6OKO_VVS\)(6Q&_O';+^1#N2[/[U?S#Y=G5]L<F!%,_+QZ6)51?'EF?Y/9
+MC!3S];*X+<\?%B_GZ[(HV_)\1MIK<=ZTNBN\W[+T2JIS\KQZ^)U\)%,2T3@E
+M4976^.O^R977,[+^\OA<3@EUB?F,/#W>U^3)5LSTI+H!DA"85)-Z<Z4F%?ZL
+M;P3^9&*;*'0\B60%20WQ#9]$55;'-\(U:F;D;K$D5]@FOOK?\=4?GU>OB^@I
+M)I=G9Q<7Y&<_^6=R^[PHRL4=*3:=2,GJ@;Q\6=U^P83[U;JTC3S>?RT7GY>;
+M.FL2E5\6MIU=!MEFQ&2U)FN\6MR=V_SK1U+<WB[6:X(5FK8>EYU:*2GKIP6)
+M5LM-L8?B/PM\]Y=B38KU>O7[P^+.ME4^;G*?%^77YP?RW^+^ZR+^RQG9_EDO
+M2OONT55\V7G=RQ8G1F=^R3:9!:!A,.NV=/8O]FGST,]X,647P!C(YAX^3:,,
+M(2H29N))E3!NT4HLJ$5B1-R4XI^F$C.C(I[438KX-$7\SK#^IF&6LI2GX@Q+
+MN@=A<?<0;.\&,C4I,N1!VVJ$B8F,VS9M%?S=M`EMIW@[`.2CZZIH"'.]SY=?
+M_OHK0<X$*(,Y[XDUT@W:M1LT%2*-'B9-BV16);7#+RLRL+QQM(@`,69\DVB9
+M9!%M62*0)>P`2XHWU+#$-#X]D$,;MEH2!8B2.W5CYIS\>W5_[S$&T)"&!`]"
+M5@7@"]Y6PUPN/Z1<".=D@E!B"91Q?/@5WK]K/0,1U#.0H9%7@]24/GTF;U3I
+M$-<:Z=FQJ"41Z)#:0'Y8;3HP7P=A?E\:!":D09P&@.;L!`U"V6E$YX\AS<')
+M!><=N>!B6"YXB+1<'9(+WJBM)Q.IUE8I"GS+-*N*I$Z+MG`^"_#-5K@\BVR%
+M.-T-AE?)N'X)VNF78,/]$A#HE^#[_1(9]LWOFA"C$IYB'T(&E5"$)FDQ/$EG
+M3@JM#.YF4G]VKO9<-I;"L9-QV$<3[=OE(=$49A3-DTDA:4@T9<@OD</>OL\)
+MSW'+?@0II+<LE6*[V'R>TA3UIHS3.R<W4NZ495K=B"0J;W@&)3I[4**VX0VF
+M2)LBLB8U8S:]57*)2]GVCRVL,H$U$JR0*&PLL8U9E719MK%$V#R;Y=Y$]TE8
+M^F'](<39=Z]B,@^JF#3#Y'13>@6E3*I2914O><;4!!-$QBB(257*K%2X%L`L
+MP#(BV21C:B42L*D9%H8$;*VF,E8%VX*M5.*R$TMS+)25<,!E6'LT7WO+BUV'
+ME&>8SVTW%>O3.*0,Z>',J',X<!#2.<7_WU@CG`@JN77&//JHF:^+>ZJH=*N*
+M3O-5WNMCC>(48)D)BI.F@S2C#O3N?+B#F;8-LI`X:.@7AU$7PHAI'M(%+?YL
+MP+R=<*TZ=JEUOUWJ=O][JB\8<^G]6]BC:7:!SL/[VOGP3H`=]9/`SB%DG3D?
+MK?-DT$3(.G/Y'3!3SD!SW3'0/&\--*)ID<[CM-G&\`PU-X$)U-#12D\`W+"@
+ME9KAI6>_'M\&X#8\9**F]R//:**]B`6__)CAG?03`=/./DW>L4]C!NV34=K:
+M9U0D++Z8NRPV6NGQF./2)F2EC`ZOIIJ!C^;Q*>`S*@+6RJ@<K?5DY%3`6AD=
+MWNW]1N#<)U)&S5NK98P.6ZT-/-BWVDGE,F'</SN1`5YX@V^[;'C%XRC0;HA\
+M^TX%\R,&/$:H`_M;X_96/ZHZ9-<L_]&@NF^!#&C'WH$-V[N+?G#V;@.[7('>
+M`(C1YGO8$8Z!8#"\CF)[U-@`8K]K^-/`R20!%;)\T*/E?Q.V><CR8?ASR/>`
+MU@9;M->L8_\V!&+(_CD/VG_M"O1^]A_MOX<C//CEG_'A15HO22:'PF$&::)#
+M"L![@YY&!3B(;BCNB8GA;P[?!UP;\-->PR[HFS4?XO=MO0WQ64XC+U2;;ZXD
+M7HE$Q#?@RN],GY'IGNDO0Q&X[X@">Z$]S%FX.,+"O8@-&]SE!?*X6[&Y=0'9
+M$N\M2AY-`/_R5!X*YH`,B@3\D`Y(O!31I+"X?<9>@+9I.^6'3#J_4/3+QW*4
+MCA[>!*5#'B$=CC4;'K20=D.T?1[)]M811R)MX/@H($A$L1_$OT<BZ1.MRQWI
+MB9-LQ8FC*T';P$1/H&0K4+9(!;5(:I5`Q6M\:%6+3*-$:1N6F#"!F0I'0U5X
+M)S`1?]1.N^1.N_:4BT1+/KHL`69*;WO@R@WB,1X+4\;7-*=:R!][XL0>.&%B
+M=P8ERG1S]F0O*NV@C+4290FID6VJ.6?R-B2-25^IN.M%JU1OE*>/#:-4X:`%
+MI4H=X^7D3JVV\,/.U\E0)VCLRU>RD2^^[P(-$0**C.T=-(+,$HP'.*$\!5([
+M!7J&K7N4OJ8O>RZ2>NLB):_H&T'R(EP1MR#J.$6CL+SED0JOA=0QRB):T&WD
+M5@*63#!Y148UA'HY%+KE4T:TT]C;8P),^6LC-WVH`YHQ2D8/U$')."(8R\XA
+MGGUG*K9P-Q?U[N+5'A@[&G%4!(8DD1"`7'N2H%M)8/U[)-K?(^%9`?,$=#'G
+M&>BYB"]P)3>7VU=&@NHYQ]=VE?N/38QZT261#NN%'M:+=O"W@/B,FF_AV0!U
+M:+5]ZU6[#:RVM2\7;C&D^^5B_#;:AW10+O)AN?@A0.>>2.2M2/`^OR$/^@TB
+M><E=$=&<^[=G^[^N(\?M7(X.Q?&TL9%CX6'40>7(AS_*L0LN#:(L%(!@!G+)
+MA>1&2FIR*G)N-&4@M,)_C*'_)Y7`'"DH50HH:E-+I4QPK$N!8B7T<;1`-G;3
+MZD":]6JT4"*7B@-.,HIJ)@`?L9G)J%;":#`T+Q);-1<T5_AR+#<GN$$@52$R
+M^Y-GFMOGX-K*&$:IL9,E*&Q3R5PQ,`%/.O?L]=FMKFS$71`/PT87ZE1R&^@;
+MS%#<-#/#403>N5I$W6RDLT#'9:N3^TEU-PEY>;S3):S3Q1,I+&DM5W,($,FX
+MX&QF_/^F9+LGE+YN=X4Z%/EH*;*KN3L_L<2:M4"]S6J81"RKP!NVOO,4H[8&
+MZ6<"NT!`3]J?M)MSM<@V,^"QO.G.OT"](Q<?W:O`J"DG@@HT)!U`3Y&./PU4
+69_E`T?(]J6/QY4]G_P-)JT)_/$D`````
 `
 end
Index: Tst/Short/absfact.stat
===================================================================
--- Tst/Short/absfact.stat	(revision a088613ebfc450dbca5064ff67a3dc8c546ad428)
+++ Tst/Short/absfact.stat	(revision 300f40eb0664d85517ba38324ca87907755992e9)
@@ -1,4 +1,20 @@
-1 >> tst_memory_0 :: 1366800263:3160:3-1-6:ix86-Linux:mamawutz:317288
-1 >> tst_memory_1 :: 1366800263:3160:3-1-6:ix86-Linux:mamawutz:2420736
-1 >> tst_memory_2 :: 1366800263:3160:3-1-6:ix86-Linux:mamawutz:2445312
-1 >> tst_timer_1 :: 1366800263:3160:3-1-6:ix86-Linux:mamawutz:23
+1 >> tst_memory_0 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:314848
+1 >> tst_memory_1 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2420736
+1 >> tst_memory_2 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2445312
+1 >> tst_timer :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:40
+2 >> tst_memory_0 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:325748
+2 >> tst_memory_1 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2420736
+2 >> tst_memory_2 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2445312
+2 >> tst_timer :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:85
+3 >> tst_memory_0 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:325748
+3 >> tst_memory_1 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2420736
+3 >> tst_memory_2 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2445312
+3 >> tst_timer :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:1
+4 >> tst_memory_0 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:328344
+4 >> tst_memory_1 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2420736
+4 >> tst_memory_2 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2445312
+4 >> tst_timer :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:21
+5 >> tst_memory_0 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:328540
+5 >> tst_memory_1 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2420736
+5 >> tst_memory_2 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:2445312
+5 >> tst_timer_1 :: 1376572182:3160:3-1-6:ix86-Linux:mamawutz:152
Index: Tst/Short/absfact.tst
===================================================================
--- Tst/Short/absfact.tst	(revision a088613ebfc450dbca5064ff67a3dc8c546ad428)
+++ Tst/Short/absfact.tst	(revision 300f40eb0664d85517ba38324ca87907755992e9)
@@ -182,9 +182,13 @@
 ring r3=0,(x,y,z,w),dp;
 poly f=(x2+y2+z2)^4+w8;
+tst_status();
 def S =absFactorize(f);
+tst_status();
 setring(S);
 absolute_factors;
 setring r3;
+tst_status();
 def T=absFactorizeBCG (f);
+tst_status();
 setring T;
 absolute_factors;