Index: Tst/Short/bug_259.res.gz.uu
===================================================================
--- Tst/Short/bug_259.res.gz.uu	(revision 4230277da20a55a572267a2d3ae8e860ffb8deee)
+++ Tst/Short/bug_259.res.gz.uu	(revision 352a84b1691397c59edb46bfca0e4e237f6a1778)
@@ -1,20 +1,26 @@
 begin 640 bug_259.res.gz
-M'XL(")AC15@``V)U9U\R-3DN<F5S`+55VXZ;,!!]SU=8JSZ8F!)\@02E1.IM
-MI96V?6A:*5'5K-@%LE9)B`AI(57_O6-N=K2[C^4!CV?.',\<8[/\^N'F,T*(
-M+M#MS3MT51Y+)Y/W5_/1LHNP!0+GG=S+$EOSD1K18H'N3]L[Y@7./OGM',NH
-M'/!\@09;.(H57^WS8A=E#;&EF3T#Z3O:GCJHD/LM*D+7QI5=6W9\T%FS!3KD
-M68U2%*+*KP41E5=SPBL!;Q_>C-!@PBL.AH`W1)CRT8DR2,4(JVJB9J36K(&N
-MA;H.>KM<?OOT$;LV3%$8HFVR/QUQ:J'VT4U0$,X`NQJ,@=\:0XH!9B^!JW''
-M;8#Y2^#Z&;`PP:^I":Z>@`WA*0C_4V89*G1X:H1G_5Z`VL_L!@W^QVXPMV>M
-M@38=&Q&J:V.LKXT/Q=GGB_(8[XBN%='Q='\L\6.^R[=8[J(#+NP4VH&4RJ9:
-M'B:,-;Q^C?H<'X`#NY:-FV5P?,#,LM\;B;ZY6KL"MZ]K`P'2'A_SHE0%SP$W
-M']4;-CYO`L+&K3538HSKQ@?CAH/E-WIU@"FI6U@PZ>,>$5W0;W($6*!^%Q5-
-M5/D8J3?>4,O,:#/HVORR6K=:KNSUA9+<-7M+D_+A$3>:7/3'Z9/^5E#7NNFO
-MM=K^5HT/1JAPW??7`J9DU<*"21]7_;5!O\D18*G^VJAHHLK'R$KWQYGNCW,'
-M'8K\`:69/.#VT[*&(-Q2?X8);#@\15*>BCUN/QE9GLH$@S>U=U$EXR3*,+7@
-M3*+6_A45ZDM0`[7483///(?;[.\P,33GH'F<I"C.$*@5)UD9W>8/&$0S5S&8
-MA*N3!>V3TXODIC_8D9<H0!.Y+Y'4'C@AQLUQE.<$QYD5AIUU<7\).!EI7B`L
-M44CG\DT/LN:2D$%/X1EZ"K_14Z\09]_ECS`$9AA-[IFADS"N8P^N8_4#4C\9
-0N,_@H*)7HW_/B26>MP8`````
+M'XL("+/[D5@``V)U9U\R-3DN<F5S`+56VV[C-A!]]U<,@CY0%\L22<DV7!M(
+MTP988)N'9A?KH&@"V9)BHHHD2/*NE*+_WB%UHW>3QQJ&..*<.<,Y)`>Z__3K
+MASL`\';P\<,O<%57M9.*P]5F=M][Z`YP\DEDHB;&9B9'V.W@<'Y^HO[:R>)O
+M3E6']8AG.QAM[DA6<I7EY4N8*F)C8O8U9.!,]M*!4F3/4&Y=FS1V:]A1,46M
+M=E#D:0L);*$)6F[QQF^9Q1J.SP"?U/+6"]8P-#@^T4/EG+>0AM50BS:M)=^L
+M=F)=3VOQ7`>N[^\___X;<6U\A>T6GN/L7)'$@.XW%>&A<!K8G<`$^0T30S0P
+M?0_<F#VW!F;O@=LWP%P'SST=W/P`UH3W4/B_19I".;F7FGLU[`6J_<9N>.O_
+M8S>H.["V2)N8FL>;UD;IL#8V+LY^O5@>93W1K22JSH>J)J?\)7\FXB4L2&DG
+M6`Z&-+8WR4.YEL,?<K2O48$<Q#5LHM*0J"#4L&^TP$#/UF5@]FVK(5#:ZI27
+MM5SP!G&;6?M(S=?'M47-SEI),<Q6S>'XR-`*E%X]8&FU'6R]&/R^Q7MGH&(X
+M6JA^[^7**^>HU3[ZXUI66IGKOLP_]@^=EGO[X4))YNJU)7%]/!&ER45]S/NA
+MOCVNZT'5UUE=?7LUAR.N\&&HKP,LK7T'6R\&OZRO<P8JAJ,EZ^N\7'GE'+7V
+M4WV,3O4QYD!1YD=(4E&0[F@9HQ.[U#_C"VXX_LJX/I<9Z8Z,J,]U3'`VL5_"
+M1D1QF!+/P#L)G?TU+.5)D(-GR,NFWWF&W>S?\473G*'F49Q`E`*J%<5I'7[,
+MCP1%T[-H3-R=@KDW!"<7P:H^W)'W*%`3D=4@IAF\(5KGJ,1K3*+4V&Y[ZZ)_
+M<;P925X"$;#U-N+G`61LA&6->G)?TY,'2L\I0Y3^*?[:;I$91YU[I>G$M7;L
+M8SM>+.`Z:Z%(PRR&X[G\BL\\JP3N#1[:''6`,JQ%GH4I.EZ*/(NSNH)36'5=
+M$+QYY(R$GB+\$D-5GZ,60LCR2`:>#^)HR_B#R.((OHGZ!`R/0E4XP"'%R6HB
+MH8KDTRGN,]2G.%,)ZQP.,<R'P#D?0]C02U0G>:.;^KR_9'<WLM4PL\%#WZKK
+MR^9HS_%R6]BI4%#,K:UZ),#.WK7]NQL%ZY#NS!T18X^2&9HY'@\31ZL;D1]G
+M3,R_48'L^LD'"_CUDS<2+(<4MWT&Q,W9#/\#8C4BS'98+,J@*;$>$0NU!J-+
+M-Z<S_/>@P/T.U)%]GRWPIFQ$JC.`](0!O0`U;X.T+Y<`>X+\ZI%?-A@E-?]I
+*]A]Y;,6)+`D`````
 `
 end
Index: Tst/Short/bug_259.stat
===================================================================
--- Tst/Short/bug_259.stat	(revision 4230277da20a55a572267a2d3ae8e860ffb8deee)
+++ Tst/Short/bug_259.stat	(revision 352a84b1691397c59edb46bfca0e4e237f6a1778)
@@ -1,4 +1,4 @@
-1 >> tst_memory_0 :: 1480942444:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:543896
-1 >> tst_memory_1 :: 1480942444:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:2641920
-1 >> tst_memory_2 :: 1480942444:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:2772992
-1 >> tst_timer_1 :: 1480942444:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:31
+1 >> tst_memory_0 :: 1485962163:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:579928
+1 >> tst_memory_1 :: 1485962163:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:2637824
+1 >> tst_memory_2 :: 1485962163:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:2764800
+1 >> tst_timer_1 :: 1485962163:4100, 64 bit:4.1.0:x86_64-Linux:nepomuck:121
Index: Tst/Short/bug_259.tst
===================================================================
--- Tst/Short/bug_259.tst	(revision 4230277da20a55a572267a2d3ae8e860ffb8deee)
+++ Tst/Short/bug_259.tst	(revision 352a84b1691397c59edb46bfca0e4e237f6a1778)
@@ -46,4 +46,18 @@
 }
 
+// Any plane curve consisting of d rational components has genus 1-d.
+// We study a nodal cubic, combined with 3 resp. 4 lines.
+// The genus then has to be -3 resp. -4
+ring rdp = 0,(x,y),dp;
+poly NC = (3*x^2*y+4*y^3-x^2-3*y+1);   // nodal cubic
+genus(NC);      // 0
+poly F = (x-1) * (x+1) * (3*y-1)* NC;  // 3A_5 + 4A_1
+genus(F);     // -3
+genus(F*y);   // -4
+genus(F/(x-1));  // -2
+genus(F/(x-1)*y);  // -3
+genus(F*(y+1));  // -4
+genus(F*(y+x));  // -4
+
 tst_status(1); $
 